For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
  • Overview
    • Quick Start
    • Sandboxes
    • Tools & SDKs
    • Support
  • Docs
    • Archive
    • Closed Beta Programs
        • Overview
        • API Reference
              • GETList Companies
              • POSTCreate Company
              • GETGet Company Detail
              • PUTUpdate Company
              • DELDelete Company
              • POSTConvert from BigCommerce CustomerGroup into Company
              • POSTBulk Create Companies
              • PUTUpdate Companies (batch)
              • PUTUpdate Company's Catalog
              • PUTUpdate Company's Status
              • GETList Company Extra Field Configs
              • GETList Company Attachments
              • POSTAdd Company Attachment
              • DELDelete Company Attachment
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as Parent to Current Company
              • GETList Company Hierarchy
Dev Portal
LogoLogo
Closed Beta ProgramsB2B Edition UpdatesAPI ReferenceCompany

List Company Subsidiaries

Beta
GET
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/subsidiaries
GET
/api/v3/io/companies/:companyId/subsidiaries
$curl https://api-b2b.bigcommerce.com/api/v3/io/companies/1/subsidiaries \
> -H "authToken: <apiKey>"
1{
2 "data": [
3 {
4 "companyId": 123,
5 "companyName": "Company",
6 "companyStatus": 1
7 }
8 ],
9 "meta": {
10 "message": "SUCCESS",
11 "pagination": {
12 "totalCount": 10,
13 "limit": 10,
14 "offset": 0
15 }
16 }
17}
Get company subsidiaries.
Was this page helpful?
Previous

Delete Company Attachment

Next

Delete Company Subsidiary

Built with

Authentication

authTokenstring

Required to authenticate requests. Include the token in a header parameter called authToken.

Path parameters

companyIdintegerRequired
ID of company.

Query parameters

offsetintegerOptionalDefaults to 0
Pagination offset.
limitintegerOptionalDefaults to 10
Pagination limit.

Response

OK
datalist of objects
metaobject

Errors

404
Not Found Error